Skip to main content

Customizing the input

Overview​

The datepicker, as explained below, can be used with one, two or no inputs.

Using without inputs​

The first choice of input customization is to have no inputs at all. In this case rendering the component in inline display mode will leave out the use of inputs.

Inline picker
<div id="myAppointment"></div>
$('#myAppointment').mobiscroll().datepicker({
display: 'inline',
});

Using with one input​

The datepicker component will render a Mobiscroll Input by default. This input will hold the formatted value after selection.

Having a custom input can be achived using the datepicker directive on the component you want.

Using the datepicker with one input
<input id="myAppointment" class="any-class-you-want" placeholder="Click to select..." />
$('#myAppointment').mobiscroll().datepicker({
theme: 'ios',
});

Using with two inputs​

When selecting a range, you have basically two values to display: the start of the range and the end of the range. These can be shown in different inputs using the startInput and the endInput options.

Two inputs for range selection
<input id="start-input" placeholder="Start date" />
<input id="end-input" placeholder="End date" />
<div id="picker"></div>
$('#picker').mobiscroll().datepicker({
select: 'range',
startInput: '#start-input',
endInput: '#end-input'
});

Skip to main content

Customizing the input

Overview​

The datepicker, as explained below, can be used with one, two or no inputs.

Using without inputs​

The first choice of input customization is to have no inputs at all. In this case rendering the component in inline display mode will leave out the use of inputs.

Inline picker
<mbsc-datepicker display="inline" [(ngModel)]="myAppointment"></mbsc-datepicker>

Using with one input​

The datepicker component will render a Mobiscroll Input by default. This input will hold the formatted value after selection.

Having a custom input can be achived using the datepicker directive on the component you want.

Using the datepicker on an IonInput
import { Component } from '@angular/core';

@Component({...})
export class AppComponent {
myDatepickerOptions = { select: 'date', controls: ['calendar'] };
}
<ion-input placeholder="Click to select" mbsc-datepicker [mbscOptions]="myDatepickerOptions"></ion-input>

Using with two inputs​

When selecting a range, you have basically two values to display: the start of the range and the end of the range. These can be shown in different inputs using the startInput and the endInput options.

Two inputs for range selection
<mbsc-input placeholder="Start" label="Start Date" #myStart></mbsc-input>
<mbsc-input placeholder="End" label="End Date" #myEnd></mbsc-input>
<mbsc-datepicker select="range" [(ngModel)]="myRange" [startInput]="myStart" [endInput]="myEnd"></mbsc-datepicker>

When the startInput and the endInput options are provided, the datepicker will not render any other inputs. It will open when these inputs are focused/clicked instead.

Skip to main content

Customizing the input

Overview​

The datepicker, as explained below, can be used with one, two or no inputs.

Using without inputs​

The first choice of input customization is to have no inputs at all. In this case rendering the component in inline display mode will leave out the use of inputs.

Inline picker
<template>
<MbscDatepicker
display="inline"
:controls="['calendar']"
:touchUi="true"
/>
</template>

Using with one input​

The datepicker component will render a Mobiscroll Input by default. This input will hold the formatted value after selection.

Using a custom input can be done with the inputComponent prop. In this case the datepicker will render the component provided and pass the formatted value to it.

To pass props to the custom component, you can use the inputProps prop.

Using with one input
<script setup>
import { ref } from 'vue';
import '@mobiscroll/vue/dist/css/mobiscroll.min.css';

const isPickerOpen = ref(false)
function openPicker() {
isPickerOpen.value = true
}
function handleClose() {
isPickerOpen.value = false
}
</script>

<template>
<MbscDatepicker
inputComponent="input"
:controls="['calendar']"
:touchUi="true"
:showOnClick="false"
:showOnFocus="false"
:isOpen="isPickerOpen"
@close="handleClose"/>
<MbscButton @click="openPicker">Show picker</MbscButton>
</template>

Using with two inputs​

When selecting a range, you have basically two values to display: the start of the range and the end of the range. These can be shown in different inputs using the startInput and the endInput options.

Two inputs for range selection
<script setup>
import { ref } from 'vue';
import '@mobiscroll/vue/dist/css/mobiscroll.min.css';

const startInput = ref(null)
const endInput = ref(null)
</script>
<template>
<MbscInput
ref="startInput"
label="Start"
placeholder="Please Select..." />
<MbscInput
ref="endInput"
label="End"
placeholder="Please Select..." />
<MbscDatepicker
select="range"
:startInput="startInput"
:endInput="endInput" />
</template>

When the startInput and the endInput options are provided, the datepicker will not render any other inputs. It will open when these inputs are focused/clicked instead.

Skip to main content

Customizing the input

Overview​

The datepicker, as explained below, can be used with one, two or no inputs.

Using without inputs​

The first choice of input customization is to have no inputs at all. In this case rendering the component in inline display mode will leave out the use of inputs.

Inline picker
import { useState } from 'react';
import { Datepicker } from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

const App = () => {
const [myAppointment, setMyAppointment] = useState(null);
const myPickerChange = (ev) => {
setMyAppointment(ev.value);
}
return <Datepicker display="inline" value={myAppointment} onChange={myPickerChange} />;
}

Using with one input​

The datepicker component will render a Mobiscroll Input by default. This input will hold the formatted value after selection.

Using a custom input can be done with the inputComponent prop. In this case the datepicker will render the component provided and pass the formatted value to it.

To pass props to the custom component, you can use the inputProps prop.

Using IonInput as a Custom Input
import { IonInput, IonItem } from '@ionic/react';
import { Datepicker } from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

const app = () => {
const ionInputProps = {
placeholder: 'Click to select',
readOnly: true,
};

return <IonItem>
<Datepicker inputComponent={IonInput} inputProps={ionInputProps} />
</IonItem>;
}

Using with two inputs​

When selecting a range, you have basically two values to display: the start of the range and the end of the range. These can be shown in different inputs using the startInput and the endInput options.

Two inputs for range selection
import { useState } from 'react';
import { Input, Datepicker } from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

const app = () => {
const [start, setStartInput] = useState(null);
const [end, setEndInput] = useState(null);

return <>
<Input ref={setStartInput} label="Start date" />
<Input ref={setEndInput} label="End date" />
<Datepicker select="range" startInput={start} endInput={end} />
</>;
}

When the startInput and the endInput options are provided, the datepicker will not render any other inputs. It will open when these inputs are focused/clicked instead.